/* bootsec.h: Header file describing DOS boot sector    */
/*  (track 0, head 0, sector 1) on any formatted disk   */
/*------------------------------------------------------*/
#pragma pack(1)

typedef struct {
	unsigned char signature;    /* E9h or EBh if formatted */
	unsigned skip;                  /* no value */
	char    oem [8];            /* OEM identifier */
	unsigned    byPerSec;       /* start of BPB: bytes/sector */
	char    secPerClus;         /* sectors per cluster */
	unsigned    resSecs;        /* reserved sectors */
	char    nFats;              /* No. of FATs retained on disk */
	unsigned    nRootEnts;      /* No. of root dir entries */
	unsigned    totSec;         /* No. of sectors in volume */
	unsigned char mediaDescr;   /* media decriptor byte */
	unsigned    secPerFat;      /* sectors per FAT */
	unsigned    secPerTrack;    /* sectors per track */
	unsigned    nHeads;         /* No. of heads (surfaces) */
	unsigned    nHidden;        /* No. of hidden sectors */
	char        loader [482];   /* bootstrap loader area */
} BOOTSEC;

#pragma pack()

